Subject: Re: [PATCH v2 2/2] virtio_net: Defer skb allocation in receive path

From: Rusty Russell <[email-masked]>
Date: Sun, 17 Jan 2010 08:01:12 +1030

On Thu, 14 Jan 2010 07:23:38 am Shirley Ma wrote:
> virtio_net receives packets from its pre-allocated vring buffers, then it 
> delivers these packets to upper layer protocols as skb buffs. So it's not
> necessary to pre-allocate skb for each mergable buffer, then frees extra 
> skbs when buffers are merged into a large packet. This patch has deferred 
> skb allocation in receiving packets for both big packets and mergeable buffers
> to reduce skb pre-allocations and skb frees. It frees unused buffers by calling 
> detach_unused_buf in vring, so recv skb queue is not needed.
> 
> Signed-off-by: Shirley Ma <[email-masked]>

Thanks, applied!

After testing I'll send it to DaveM.

Rusty.